> For the complete documentation index, see [llms.txt](https://idthrivo.gitbook.io/thrivosign-remote-signing-solution/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://idthrivo.gitbook.io/thrivosign-remote-signing-solution/api-reference.md).

# API Reference

This page will help you get started with the ThrivoSign API

**ThrivoSign Integration Options**

ThrivoSign offers flexible integration options to fit your application’s needs. You can integrate ThrivoSign via **REST API**, **URI redirect**, or **embedded signing**.

* Our **electronic signature API** is built on pragmatic RESTful design principles, using simple and modern technologies.
* The API uses **resource-oriented URLs** that leverage the built-in features of HTTP.
* Request and response bodies are **JSON encoded**, and any standard HTTP client can communicate with our API seamlessly.

For faster integration, you can also choose to redirect users to ThrivoSign hosted signing page using **URI redirect**, or embed the signing interface directly within your application using **embedded signing**.

This flexibility allows developers to choose the best method for their workflows, whether they want full control through the API, a quick redirect to our signing page, or a seamless embedded experience within their own platform.

### Get an API token

To start using ThrivoSign API, you’ll need to obtain an **API token**. You can easily generate your API token through our **Self-Service Portal**.

Simply log in, navigate to the **API Token Management** section, and create a new token. This token will be required to authenticate all your API requests.

### Authentication

We use API Key token authentication to identify and authorize users for the API. All you need to do as a developer is ask ThrivoSign users to get their API token and pass it along in an authorization header.

{% code fullWidth="true" %}

```
To authenticate users and obtain an access token for the ThrivoSign Signing API, 
you can use the /auth/login endpoint, which requires the username, password, 
client_id, and client_secret parameters. For developers who want to test and execute 
this login process directly, ThrivoSign provides a sandbox environment at 
https://rss.thrivosign.com/devGuide/signingAPI/login.jsp, allowing you to simulate 
the API call and review the request and response format in real-time.
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://idthrivo.gitbook.io/thrivosign-remote-signing-solution/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
